<?php

define('MAIN_TIME' , 		time() );
define('MAIN_YEAR' , 		date('Y',MAIN_TIME) );
define('MAIN_TIME_BEGIN',	microtime() );// начало отсчёта времени генерации скрипта


define('MAIN_URL', 			'http://'.$_SERVER['HTTP_HOST'].'/mobile');
define('MAIN_PATH', 		$_SERVER['DOCUMENT_ROOT'].'/mobile');
define('MAIN_DIR', 			'/mobile/');

define('MAIN_CHARSET' , 	'UTF-8' );
define('MAIN_ENCODING' , 	'utf8' );
define('MAIN_DBPREFIX', 	'pr25');
define('MAIN_DBHOST', 		'localhost');
define('MAIN_DBUNAME', 		'u_autolifeX');
define('MAIN_DBPASS', 		'p9SdM7ED');
define('MAIN_DBNAME', 		'autolifeX');
define('MAIN_DBPCON', 		0);
	//	используется для подключения языковых файлов
	//	-	при установки новых модулей
	//	-	при первоначальной загрузке списка ошибок
	//	используется для подключения языковых файлов
	//	-	при установки новых модулей
	//	-	при первоначальной загрузке списка ошибок
define('MAIN_LANG', 		'ru');
define('MAIN_LANGS', 		FALSE );
define('MAIN_MULTILANG', 		FALSE);

define('MAIN_SOURCE_PATH', 	MAIN_PATH.'/source');
define('TMPL_PATH',			MAIN_SOURCE_PATH.'/tmpl');
define('MAIN_SOURCE_URL', 	MAIN_URL.'/source');

define('MAIN_PAGES_TBL',			MAIN_DBPREFIX.'_system_pages');
define('MAIN_TMPL_TBL',				MAIN_DBPREFIX.'_system_tmpl');
define('MAIN_PLB_TBL',				MAIN_DBPREFIX.'_system_tmpl_block_link');
define('MAIN_BLK_TBL',				MAIN_DBPREFIX.'_system_blocks');
define('MAIN_MAIL_TMPL_TBL',		MAIN_DBPREFIX.'_system_mail_tmpl');


define('MAIN_USERS_TBL',            MAIN_DBPREFIX.'_users');

define('MAIN_GROUP_TBL',            MAIN_DBPREFIX.'_system_groups');
define('MAIN_GRP_USERS_LINK_TBL',   MAIN_DBPREFIX.'_system_groups_users_link');
define('MAIN_GRP_BLK_LINK_TBL',     MAIN_DBPREFIX.'_system_groups_blocks_link');
define('MAIN_GRP_PAGES_LINK_TBL',   MAIN_DBPREFIX.'_system_groups_pages_link');
define('MAIN_MODULES_TBL',   		MAIN_DBPREFIX.'_system_modules');
define('MAIN_CATEGORY_TBL',   		MAIN_DBPREFIX.'_system_category');
define('MAIN_EVENTS_TBL',            MAIN_DBPREFIX.'_system_events');
define('MAIN_CACHE_TBL',            MAIN_DBPREFIX.'_system_cache');
define('MAIN_SNIPPETS_TBL',            MAIN_DBPREFIX.'_system_snippets');

define('MAIN_LANGS_TBL',            MAIN_DBPREFIX.'_system_langs');
define('MAIN_PLUGINS_TBL',            MAIN_DBPREFIX.'_system_plugins');
define('MAIN_META_TBL',            MAIN_DBPREFIX.'_system_meta');

define('MAIN_CLOSE_KEY', 'Avatar: the legend of airbenders!');


define('MAIN_BASE_AUTH', 'users/inc/class.users.php');

define('ERROR_403'	,1);
define('ERROR_404'	,2);
define('BAN_ERROR'	,3);
define('ERROR_500'	,4);
define('ERROR_IE6'	,7);

define('DEBUG_MESSAGE'	,5);
define('ERROR_MESSAGE'	,6);

define('FREE_MSG'		,8);
define('CLOSE_SITE_MSG'	,9);
define('TIME_MSG'	,'time');
define('SQL_MSG'	,'sql');

	//	настройки js
define('MAIN_JAVASCRIPT_STOP', 	true);		//	останавливать работу если js не запущен
define('MAIN_IE6_STOP', 		false);		//	останавливать работу на 6 ie

   /* особые системные настройки*/
   
   	//	class.mysql.php начинает считаться время выполнения sql запросов
   	//	class.pages.php	считается время генерации блоков и модуля
define('MAIN_DEBUG_MODE' , false ); // режим отладки системы, пользователянезависимый
define('MAIN_DEVELOPE_MODE' , false ); 
// режим разрабоки системы, пользователянезависимый


define('MAIN_CACHE_MODE' , false ); // режим работы кэш-системы
define('MAIN_TEST' , FALSE ); // всегда должно быть false
if ( MAIN_CACHE_MODE===FALSE){
	define('MAIN_CACHE' , MAIN_TIME ); 
}else{
	define('MAIN_CACHE' , '0'); 
}


	//	лог файлы, false если лог вести не нужно
	define('MAIN_REDIRECT_LOG', 	false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/   );

define('MAIN_NOTFOUND_LOG', 	false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/    );

	//	лог запросов к сайту
define('MAIN_ACCESS_LOG', false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/   );
	//	лог некритичных ошибок
define('MAIN_ERROR_LOG', false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/    );
	//	лог фатальных ошибок
define('MAIN_FATAL_LOG', 	false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/    );
	//	лог поведения пользователей
define('MAIN_ACTION_LOG', 	false/*MAIN_PATH.'/tmp/action_'.date('d.m.Y',MAIN_TIME).'.log'*/   );
	//	лог post/get запросов
define('MAIN_DATA_LOG', 	false/*MAIN_PATH.'/tmp/data_'.date('d.m.Y',MAIN_TIME).'.log'*/   );


	//	IP адреса подлежащие блокировке, по одному на строку
	
define('MAIN_BAN_IP',  
<<<MAIN_BAN_IP
127.0.0.2
127.0.0.3
MAIN_BAN_IP
);	

	//	визи редектор
define('MAIN_EDITOR', 		'ck');


?>
